Package org.opensaml.saml.saml2.profile.impl

# Class ValidateAssertions.AssertionValidationInput

java.lang.Object
org.opensaml.saml.saml2.profile.impl.ValidateAssertions.AssertionValidationInput

Enclosing class:
  ValidateAssertions

@Deprecated public static class ValidateAssertions.AssertionValidationInput extends Object
Deprecated.
Use `AssertionValidationInput`.
Class which holds data relevant to validating a SAML 2.0 Assertion.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Assertion`
`assertion`
Deprecated.
The Assertion being evaluated.
`private HttpServletRequest`
`httpServletRequest`
Deprecated.
The HTTP request input.
`private ProfileRequestContext`
`profileContext`
Deprecated.
The profile request context input.

## Constructor Summary

Constructors
Constructor
Description
`AssertionValidationInput(ProfileRequestContext context, HttpServletRequest request, Assertion samlAssertion)`
Deprecated.
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Assertion`
`getAssertion()`
Deprecated.
Get the `Assertion` being evaluated.
`HttpServletRequest`
`getHttpServletRequest()`
Deprecated.
Get the `HttpServletRequest` input.
`ProfileRequestContext`
`getProfileRequestContext()`
Deprecated.
Get the `ProfileRequestContext` input.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### profileContext

@Nonnull private ProfileRequestContext profileContext
Deprecated.
The profile request context input.

### httpServletRequest

@Nonnull private HttpServletRequest httpServletRequest
Deprecated.
The HTTP request input.

### assertion

@Nonnull private Assertion assertion
Deprecated.
The Assertion being evaluated.

## Constructor Details

### AssertionValidationInput

public AssertionValidationInput(@Nonnull ProfileRequestContext context, @Nonnull HttpServletRequest request, @Nonnull Assertion samlAssertion)
Deprecated.
Constructor.

Parameters:
  `context` - the profile request context being evaluated
  `request` - the HTTP request being evaluated
  `samlAssertion` - the assertion being evaluated

## Method Details

### getProfileRequestContext

@Nonnull public ProfileRequestContext getProfileRequestContext()
Deprecated.
Get the `ProfileRequestContext` input.

Returns:
  the message context input

### getHttpServletRequest

@Nonnull public HttpServletRequest getHttpServletRequest()
Deprecated.
Get the `HttpServletRequest` input.

Returns:
  the HTTP servlet request input

### getAssertion

@Nonnull public Assertion getAssertion()
Deprecated.
Get the `Assertion` being evaluated.

Returns:
  the Assertion being validated